# Hoppers (Cryptohopper API)

Create, update and delete hoppers (trading bots), switch trading on or off, manage paper trading balances, and read stats, assets and the output log.

- [Get hoppers of users](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/get-hoppers-of-users.md): `GET /hopper`
- [Create a new hopper](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/create-a-new-hopper.md): `POST /hopper`
- [Update mobile notifications](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/update-mobile-notifications.md): `PATCH /hopper/receivingmobilenotifications`
- [Retrieve hopper](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/retrieve-hopper.md): `GET /hopper/{id}`
- [Update hopper](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/update-hopper.md): `PATCH /hopper/{id}`
- [Delete hopper](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/delete-hopper.md): `DELETE /hopper/{id}`
- [Get the latest hopper activity](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/get-hopper-id-activity.md): `GET /hopper/{id}/activity`
- [Get assets](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/get-assets.md): `GET /hopper/{id}/assets`
- [Change bot type](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/change-bot-type.md): `POST /hopper/{id}/changebot`
- [Change hopper image](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/change-hopper-image.md): `POST /hopper/{id}/changeimage`
- [Disable hopper](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/disable-hopper.md): `PATCH /hopper/{id}/disable`
- [Disable buying](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/disable-buying.md): `PATCH /hopper/{id}/disable/buying`
- [Disable papertrading](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/disable-papertrading.md): `PATCH /hopper/{id}/disable/papertrading`
- [Disable selling](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/disable-selling.md): `PATCH /hopper/{id}/disable/selling`
- [Enable hopper](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/enable-hopper.md): `PATCH /hopper/{id}/enable`
- [Enable buying](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/enable-buying.md): `PATCH /hopper/{id}/enable/buying`
- [Enable papertrading](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/enable-papertrading.md): `PATCH /hopper/{id}/enable/papertrading`
- [Enable selling](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/enable-selling.md): `PATCH /hopper/{id}/enable/selling`
- [Disconnect a hopper from Fast API](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/delete-hopper-id-fastapi.md): `DELETE /hopper/{id}/fastapi`
- [Get IP addresses to whitelist](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/get-hopper-id-ipwhitelist.md): `GET /hopper/{id}/ipwhitelist`
- [Get most traded currencies](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/get-most-traded-currency.md): `GET /hopper/{id}/mosttraded`
- [Get output](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/get-output.md): `GET /hopper/{id}/output`
- [Activate panic mode](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/get-hopper-id-panicbutton.md): `GET /hopper/{id}/panicbutton`
- [Deactivate panic mode](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/delete-hopper-id-panicbutton.md): `DELETE /hopper/{id}/panicbutton`
- [Deposit paper trading](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/deposit-paper-trading.md): `POST /hopper/{id}/papertrading/deposit`
- [Reset paper trading balance](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/reset-paper-trading-balance.md): `PATCH /hopper/{id}/papertrading/reset`
- [Withdraw assets from paper trader](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/withdraw-assets-from-paper-trader.md): `POST /hopper/{id}/papertrading/withdraw`
- [Rebalance a portfolio bot](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/patch-hopper-id-rebalance.md): `PATCH /hopper/{id}/rebalance`
- [Reset hopper](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/reset-hopper.md): `POST /hopper/{id}/reset`
- [Set default hopper](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/set-default-hopper.md): `PATCH /hopper/{id}/setdefaulthopper`
- [Get start balance](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/get-hopper-id-startbalance.md): `GET /hopper/{id}/startbalance`
- [Set start balance](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/post-hopper-id-startbalance.md): `POST /hopper/{id}/startbalance`
- [Get stats](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/get-stats.md): `GET /hopper/{id}/stats`
- [Get stats from dashboard](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/get-stats-from-dashboard.md): `GET /hopper/{id}/stats/dashboard`
- [Reset stats](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/reset-stats.md): `POST /hopper/{id}/stats/reset`
- [Stop a copy bot](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/get-hopper-id-stop.md): `GET /hopper/{id}/stop`
- [Get subscription](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/get-subscriptions.md): `GET /hopper/{id}/subscription`
- [Get current targets](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/get-hopper-id-targets.md): `GET /hopper/{id}/targets`
- [Save template](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/save-template.md): `POST /hopper/{id}/template/save`
- [Run the troubleshooter](https://www.cryptohopper.com/api-documentation/api-reference/hoppers/get-hopper-id-troubleshooter.md): `GET /hopper/{id}/troubleshooter`

